# IceGrid::ApplicationObserver

## Overview

### interface ApplicationObserver

The database observer interface. Observers should implement this interface to receive information about the state of the IceGrid registry database.

## Operation Index

applicationInit
  `applicationInit` is called after the registration of an observer to indicate the state of the registry.
applicationAdded
  The `applicationAdded` operation is called to notify an observer that an application was added.
applicationRemoved
  The `applicationRemoved` operation is called to notify an observer that an application was removed.
applicationUpdated
  The `applicationUpdated` operation is called to notify an observer that an application was updated.

## Operations

### void applicationInit(int serial, ApplicationInfoSeq applications)

`applicationInit` is called after the registration of an observer to indicate the state of the registry.

#### Parameters

serial
  The current serial number of the registry database. This serial number allows observers to make sure that their internal state is synchronized with the registry.
applications
  The applications currently registered with the registry.

### void applicationAdded(int serial, ApplicationInfo desc)

The `applicationAdded` operation is called to notify an observer that an application was added.

#### Parameters

serial
  The new serial number of the registry database.
desc
  The descriptor of the new application.

### void applicationRemoved(int serial, string name)

The `applicationRemoved` operation is called to notify an observer that an application was removed.

#### Parameters

serial
  The new serial number of the registry database.
name
  The name of the application that was removed.

### void applicationUpdated(int serial, ApplicationUpdateInfo desc)

The `applicationUpdated` operation is called to notify an observer that an application was updated.

#### Parameters

serial
  The new serial number of the registry database.
desc
  The descriptor of the update.